sequence.basesequence

## Class AbstractBaseSequence

- java.lang.Object
- - sequence.basesequence.AbstractBaseSequence

- All Implemented Interfaces:
    CommonBase, BaseSequence
  Direct Known Subclasses:
    RealQueue

      public abstract class AbstractBaseSequence
      extends java.lang.Object
      implements BaseSequence

  Základní dílčí typ posloupnosti, ze kterého jsou odvozeny děděním další typy.

  Popis: wrapper nad základním seznamem BaseListInterface.

  Užití: nepoužívejte v aplikacích, odvozujte třídy.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `count` aktuální počet prvků v posloupnosti

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBaseSequence()` Nastaví výchozí hodnoty atributů.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Vrátí počet prvků v posloupnosti.
    `Element` | `getElement()` Vrátí hodnotu běžného prvku.
    `protected abstract BaseListInterface` | `getList()`
    `int` | `getMoveCounter()` Provozní měření.
    `boolean` | `isEmpty()` Zjistí, zda je posloupnost prázdná.
    `boolean` | `isFull()` Zjistí, zda je posloupnost plná.
    `void` | `resetMoveCounter()` Vynuluje provozní měření.
    `void` | `setElement(Element value)` Nastaví hodnotu běžného prvku do členu datové struktury.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          protected int count

      aktuální počet prvků v posloupnosti

  - ### Constructor Detail

    - #### AbstractBaseSequence

          public AbstractBaseSequence()

      Nastaví výchozí hodnoty atributů.

      Užití: ve zděděných konstruktorech

  - ### Method Detail

    - #### getList

          protected abstract BaseListInterface getList()

      Returns:
        zapouzdřené úložiště

    - #### setElement

          public void setElement(Element value)

      Description copied from interface: `CommonBase`
      Nastaví hodnotu běžného prvku do členu datové struktury.

      Vyžaduje: not isEmpty

      Specified by:
        `setElement` in interface `CommonBase`
      Parameters:
        `value` - prvek, který má být uložen do členu

    - #### getElement

          public Element getElement()

      Description copied from interface: `CommonBase`
      Vrátí hodnotu běžného prvku.

      Vyžaduje: not isEmpty

      Specified by:
        `getElement` in interface `CommonBase`
      Returns:
        hodnota běžného prvku

    - #### getMoveCounter

          public int getMoveCounter()

      Description copied from interface: `CommonBase`
      Provozní měření.
      Specified by:
        `getMoveCounter` in interface `CommonBase`
      Returns:
        počet přesunů běžného prvku

    - #### resetMoveCounter

          public void resetMoveCounter()

      Description copied from interface: `CommonBase`
      Vynuluje provozní měření.
      Specified by:
        `resetMoveCounter` in interface `CommonBase`

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `BaseSequence`
      Zjistí, zda je posloupnost prázdná.
      Specified by:
        `isEmpty` in interface `BaseSequence`
      Returns:
        true když je prázdná, jinak false

    - #### isFull

          public boolean isFull()

      Description copied from interface: `BaseSequence`
      Zjistí, zda je posloupnost plná.
      Specified by:
        `isFull` in interface `BaseSequence`
      Returns:
        true když je plná, jinak false

    - #### getCount

          public int getCount()

      Description copied from interface: `BaseSequence`
      Vrátí počet prvků v posloupnosti.
      Specified by:
        `getCount` in interface `BaseSequence`
      Returns:
        počet prvků v posloupnosti